setlocale
sha1
String Functions
PHP Manual

# sha1_file

Calculate the sha1 hash of a file

### Description

string sha1_file ( string `$filename` [, bool `$raw_output` = false ] )

Calculates the sha1 hash of the file specified by `filename` using the » US Secure Hash Algorithm 1, and returns that hash. The hash is a 40-character hexadecimal number.

### Parameters

`filename`

  The filename of the file to hash.

`raw_output`

  When `TRUE`, returns the digest in raw binary format with a length of 20.

### Return Values

Returns a string on success, `FALSE` otherwise.

### Examples

Example #1 sha1_file example

`<?php
foreach(glob('/home/Kalle/myproject/*.php') as $ent)
{
if(is_dir($ent))
{
continue;
}
echo $ent . ' (SHA1: ' . sha1_file($ent) . ')', PHP_EOL;
}
?>`

### Changelog

Version | Description
--- | ---
5.1.0 | Changed the function to use the streams API. It means that you can use it with wrappers, like sha1_file('http://example.com/..')
5.0.0 | Added the `raw_output` parameter

### See Also

- sha1
- md5_file
- crc32